Test endpoints
Explore endpoints interactively via Swagger - served by your own instance.
https://<your-octopus-url>/swaggerui/Our docs cover the latest version of the Octopus REST API. If you’re on a Long Term Support (LTS) version, some endpoints and values may differ. Use the Swagger UI served by your own instance (see above) as the source of truth for your version.
API context for AI assistants (llms.txt)
Octopus Server provides a Markdown summary at /llms to give large language models (LLMs) context for writing scripts and integrations with the Octopus REST API.
https://<your-octopus-url>/llms.txtThe summary is generated from your Server’s API and step definitions. It includes API endpoints, resource types, authentication guidance, and deployment step properties. You can provide the URL or downloaded content to your AI coding assistant as context.
Reading /llms doesn’t require authentication or an API key. API requests made using the summary still require the usual authentication and permissions.
Like Swagger documentation, the summary describes the API without exposing instance data such as your projects, deployments, or variable values.
This endpoint was previously available at /api. The experimental route now permanently redirects to /llms.
Common tasks
Create a project
POST /api/{spaceId}/projects
Create a release
POST /api/{spaceId}/releases
Create a deployment
POST /api/{spaceId}/deployments
Upload a package
POST /api/{spaceId}/packages/raw
Create a new runbook
POST /api/{spaceId}/projects/{projectId}/runbooks
Run a runbook
POST /api/{spaceId}/runbookRuns
API clients
Go
Go API Client for Octopus Deploy.
.NET
.NET C# API Client for Octopus Deploy.
Typescript
TypeScript API Client for Octopus Deploy.